Page MenuHomePhabricator

[Mips] Return false for isFPCloseToIncomingSP()
ClosedPublic

Authored by vradosavljevic on Apr 8 2015, 7:03 AM.

Details

Reviewers
dsanders
petarj
Summary

On Mips, frame pointer points to the same side of the frame as the stack pointer.
This function is used to decide where to put register scavenging spill slot. So far, it was put on the wrong side of the frame, and was to far away from $fp if frame is larger than 2^15 bytes.

Diff Detail

Event Timeline

vradosavljevic retitled this revision from to [Mips] Return false for isFPCloseToIncomingSP().
vradosavljevic updated this object.
vradosavljevic edited the test plan for this revision. (Show Details)
vradosavljevic added reviewers: petarj, dsanders.
vradosavljevic set the repository for this revision to rL LLVM.
vradosavljevic added a subscriber: Unknown Object (MLST).
dsanders added inline comments.Apr 20 2015, 8:59 AM
test/CodeGen/Mips/vector-multiply.ll
1 ↗(On Diff #23415)

Please add some checks on the output (with FileCheck). At the moment it's only testing that llc doesn't crash or fail.

vradosavljevic removed rL LLVM as the repository for this revision.

Comment addressed.

vradosavljevic added inline comments.Apr 22 2015, 7:51 AM
test/CodeGen/Mips/vector-multiply.ll
1 ↗(On Diff #23415)

Done.

Is this ok to commit?

dsanders accepted this revision.May 12 2015, 9:04 AM
dsanders edited edge metadata.

LGTM. Sorry for the delays

This revision is now accepted and ready to land.May 12 2015, 9:04 AM
petarj closed this revision.May 12 2015, 10:21 AM
petarj edited edge metadata.

Committed as r237153.